## org.apache.fop.tools.anttasks
Class Compare

    java.lang.Object
      |
      +--org.apache.fop.tools.anttasks.Compare

public class Compare
extends java.lang.Object

This class is an extension of Ant, a script utility from jakarta.apache.org. It provides methods to compare two files

Constructor Summary
`Compare()`

Method Summary
`void` `execute()`
`void` `setFilenames(java.lang.String filenames)`
`void` `setReferenceDirectory(java.lang.String referenceDirectory)`
`void` `setTestDirectory(java.lang.String testDirectory)`
`void` `writeHeader(java.io.PrintWriter results)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Compare

    public Compare()

Method Detail

### setTestDirectory

    public void setTestDirectory(java.lang.String testDirectory)

### setReferenceDirectory

    public void setReferenceDirectory(java.lang.String referenceDirectory)

### setFilenames

    public void setFilenames(java.lang.String filenames)

### writeHeader

    public void writeHeader(java.io.PrintWriter results)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.